Subject: Re: [git-svn] always prompted for passphrase with subversion 1.6

From: Eric Wong <[email-masked]>
Date: Fri, 4 Sep 2009 23:46:50 -0700

Tim Potter <[email-masked]> wrote:
> Hi everyone.  I am using git-svn with the Subversion 1.6 client compiled
> with GNOME Keyring support.  This neat features allows a SSL client
> certificate password to be cached inside GNOME Keyring instead of being
> prompted to enter it every time.  However the git-svn script doesn't
> appear to know about this and always prompts for a password.
> 
> Obviously there's some tweak required in the _auth_providers()
> subroutine but I don't know enough about the Subversion Perl client to
> figure out a fix.
> 
> Has anyone else run in to this problem?  I did a quick search on the
> list but didn't find anything relevant.

Hi Tim,

I think one user wanted to get SSL certificate authentication going but
my SSL knowledge was too weak at the time[1] and I think we both forgot
about it or lost interest.

[1] and probably still so, though I have recently managed to set
    *something* up with SSL client certs and maybe it's done
    right.  SSL is just one of those things that never really
    "clicked" for me (ssh on the other hand...)

-- 
Eric Wong